Bug 126305 - Data validaty on Error Alert action value lost on save xlsx (Always Stop), but on xls is ok
Summary: Data validaty on Error Alert action value lost on save xlsx (Always Stop), bu...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.4 all versions
Hardware: All All
: medium normal
Assignee: Tibor Nagy (NISZ)
URL:
Whiteboard: target:7.1.0
Keywords: dataLoss, filter:xlsx
Depends on:
Blocks: XLSX Cell-Validity
  Show dependency treegraph
 
Reported: 2019-07-09 10:38 UTC by Nerijus
Modified: 2020-11-17 10:42 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Example file made in Calc 7.1 master (8.97 KB, application/vnd.oasis.opendocument.spreadsheet)
2020-10-05 12:50 UTC, NISZ LibreOffice Team
Details
The example file saved to XLSX (4.98 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2020-10-05 12:55 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Nerijus 2019-07-09 10:38:56 UTC
Description:
Data validaty on tab "Error Alert" Action value lost on save xlsx (Always Stop), but on xls is ok

Actual Results:
Data validaty on tab "Error Alert" Action value lost on save xlsx (Always Stop), but on xls is ok

Expected Results:
Data validaty on tab "Error Alert" Action value lost on save xlsx (Always Stop), but on xls is ok


Reproducible: Always


User Profile Reset: No



Additional Info:
Comment 1 Jacques Guilleron 2019-07-10 10:10:53 UTC
Hi  Nerijus,

Can you please join a small sample file showing the bug?
Thank you.
Comment 2 Roman Kuznetsov 2019-12-12 14:54:10 UTC
Confirm in

Версия: 6.5.0.0.alpha0+ (x64)
ID сборки: 67ee8818e68a2793d89331dd715989c468fe5680
Потоков ЦП: 4; ОС:Windows 10.0 Build 18362; Отрисовка ИП: по умолчанию; VCL: win; 
Локаль: ru-RU (ru_RU); Язык интерфейса: ru-RU
Calc: threaded

Steps:

1. Create a new calc spreadsheet
2. Select A1 cell
3. Select menu Data->Validity
4. In the dialog select "Whole numbers" in "Allow:" drop-down list on "Criteria" tab
5. On tab "Error alert" check "Show error message..." option
6. Select "Info" from "Action:" drop-down list
7. Type some info to "Title" and "Error message" fields
8. Press OK
9. Check that after entering 123,3 into A1 you see a Info message with OK and Cancel buttons
10. Save file as XLSX and close doc
11. Open it XLSX
12. Try enter 123,3 into A1 cell
13. Look at Stop message with only one OK button
14. Select Data->Validity
15. Go to tab "Error alert" in the dialog
16. Look at selected "Stop" variant instead "Info" in Action drop-down list
Comment 3 NISZ LibreOffice Team 2020-10-05 12:50:36 UTC
Created attachment 166088 [details]
Example file made in Calc 7.1 master

Still happens with:

Version: 7.1.0.0.alpha0+ (x64)
Build ID: f266feaebea39668392e3a3830e20e4670344658
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win
Locale: hu-HU (hu_HU); UI: hu-HU
Calc: CL
Comment 4 NISZ LibreOffice Team 2020-10-05 12:55:43 UTC
Created attachment 166089 [details]
The example file saved to XLSX

Excel supports 3 kinds of error messages: stop, warn and info. The ods has example for those in A2:C2 (enter a letter to trigger the message) and this XLSX illustrates that all three kinds are exported as Stop.

Calc also has the ability to run a macro as response, but Excel does not support that.
Comment 5 NISZ LibreOffice Team 2020-10-05 12:56:41 UTC
@Tibor Nagy thought you might be interested in this one...
Comment 6 Commit Notification 2020-10-10 22:12:01 UTC
Tibor Nagy committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/fca525d570f4fada3db1a9bbee2e88a5a02839d9

tdf#126305 XLSX export: fix data validation Error Alert

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 NISZ LibreOffice Team 2020-11-17 10:42:36 UTC
Verified in:

Version: 7.1.0.0.alpha1+ (x64)
Build ID: 72056f39e01e36afac36c62988331b6813c8214f
CPU threads: 4; OS: Windows 10.0 Build 17134; UI render: Skia/Raster; VCL: win
Locale: hu-HU (hu_HU); UI: hu-HU
Calc: threaded

Thanks for fixing!